# Uses of Class
org.apache.zookeeper.KeeperException.InvalidACLException

Packages that use KeeperException.InvalidACLException
Package
Description
org.apache.zookeeper.server
ZooKeeper server theory of operation

## Uses of KeeperException.InvalidACLException in org.apache.zookeeper.server

Methods in org.apache.zookeeper.server that throw KeeperException.InvalidACLException
Modifier and Type
Method
Description
`static List<ACL>`
PrepRequestProcessor.`fixupACL(String path, List<Id> authInfo, List<ACL> acls)`
This method checks out the acl making sure it isn't null or empty, it has valid schemes and ids, and expanding any relative ids that depend on the requestor's authentication information.